## Run Functions every tick:
execute if entity @a[scores={s-skill-0=1..}] run function k_skills:triggers
execute if entity @a[scores={s-skill-1=1..}] run function k_skills:triggers
execute if entity @a[scores={s-skill-r=1..}] run function k_skills:triggers
##enable triggers for all who don't have it enabled.
execute as @a unless entity @s[scores={s-skill-r=0..}] run scoreboard players enable @s s-skill-r
execute as @a unless entity @s[scores={s-skill-0=0..}] run scoreboard players enable @s s-skill-0
execute as @a unless entity @s[scores={s-skill-1=0..}] run scoreboard players enable @s s-skill-1

execute run function k_skills:z_misc/versiontester

## -------------- Puck Up Range -----------
execute as @a[scores={Skill-301=1..},predicate=k_skills:issneaking] at @s if entity @e[type=item,distance=..12] run function k_skills:skills/command_based/pickuprange/function/pickup_range
## -------------- BOW ---------------------
execute as @a[scores={kskillbowtest1=1..}] at @s run function k_skills:skills/command_based/bow/functions/bow_ticker
execute as @a[scores={kskillbowtest2=1..}] at @s run function k_skills:skills/command_based/bow/functions/bow_ticker
## -------------- Mobkills ----------------
execute as @a[scores={ksk_mk_all=1..}] at @s run function k_skills:mobpoints/tester
## -------------- Options -----------
execute as @a[scores={kskill_options=1..}] run function k_skills:options/trigger
## -------------- clear effects -----------

## clear all effects if skillbook for damage exploid.
execute as @a[nbt={SelectedItem:{id:"minecraft:written_book",components:{"minecraft:custom_data":{ksb:1}}}}] run function k_skills:effects/cleareffects
execute as @a[nbt={Inventory:[{id:"minecraft:written_book",components:{"minecraft:custom_data":{ksb:1}}},{Slot:-106b}]}] run function k_skills:effects/cleareffects

## --------------- Magic Skills -----------

execute as @a[predicate=k_skills:issneaking,scores={k_s_cd=0}] at @s run function k_skills:skills/magic/run

## - fire rain -

## Arrow skill particels
execute at @e[tag=k_skill,type=minecraft:arrow] run particle dust_color_transition{from_color:[1.000,0.090,0.090],scale:2.4,to_color:[1.000,0.718,0.059]} ~ ~ ~ 0.1 0.3 0.1 1 6 force
## If play is scneaking, is in slot 1 (2), looks at a enemie, has cooldown at 0 and has the skill, go execute fire_rein

## - icewave -
execute as @e[tag=iw-as-a] at @s run tp ^ ^ ^0.3
execute as @e[tag=iw-as-a] at @s run particle snowflake ~ ~0.2 ~ 1 0.3 1 0 5 force
execute at @e[tag=iw-as-a] as @e[type=#k_skills:enemies,distance=..3,nbt=!{NoAI:1b}] run function k_skills:skills/magic/icewave/ivecwave_sumblo
## wave timer
execute as @e[tag=iw-as-a] run scoreboard players add @s k_s_cd-iw 1
execute as @e[tag=iw-as-a,scores={k_s_cd-iw=30}] run kill @s

## --------------- Healaura effect ------------

## particels
execute at @e[type=armor_stand,limit=10,tag=k_skill] run particle dust_color_transition{from_color:[0.000,1.000,0.000],scale:4,to_color:[0.000,1.000,1.000]} ^ ^1 ^5 0.1 0.3 0.1 1 1 force
execute at @e[type=armor_stand,limit=10,tag=k_skill] run particle dust_color_transition{from_color:[0.000,1.000,0.000],scale:1,to_color:[0.000,1.000,1.000]} ^ ^ ^ 3 0.3 3 1 10 force
## rotation
execute at @e[type=armor_stand,tag=k_skill] run tp @e[type=armor_stand,sort=nearest,limit=1,tag=k_skill] ~ ~ ~ ~10 ~
## despawn
execute as @e[type=armor_stand,tag=k_skill,scores={k_s_cd=0}] run kill @s

## --------------- Skillsave ------------------

## gold apple also saves skills
execute as @a[scores={s.eae2=1..}] run function k_skills:z_misc/nga_save