## set player score to 1
scoreboard players set @s k_skills_tutorial 1
## titel
tellraw @s {"text": ""}
tellraw @s {"text": ""}
tellraw @s {"text": ""}
tellraw @s {"text": ""}
tellraw @s {"text": ""}
tellraw @s {"text": ""}
tellraw @s {"text": "---------------------","bold": true}
tellraw @s {"text": "Skillsystem Tutorial","color": "#66aaaa"}
tellraw @s {"text": "---------------------","bold": true}
## info how to read
tellraw @s {"text": "Hover over the text to see all infos","bold": true,"color": "green"}
tellraw @s {"text": ""}
## skillbook
tellraw @s {"text": "Skillbook & Skillpoints","bold": true,"color": "yellow"}
tellraw @s {"text": "↳What are Skillpoints","hoverEvent": {"action": "show_text","contents": ["Skillpoints are used to level up a skill inside the skillbook.\n\nMany Skills need multiple Skillpoints for a level up."]}}
tellraw @s {"text": "↳How to add a Skillpoint","hoverEvent": {"action": "show_text","contents": ["If the player has enough EXP, they can put them into a Skillpoint.\nThe player loses the EXP and a Skillpoint will be added."]}}
tellraw @s {"text": "↳How much EXP is needed","hoverEvent": {"action": "show_text","contents": ["[Can be changed by an admin]\n\nBy default, a player needs 100EXP for the first point and +100 for every next point.\nThis calculates by how many Skillpoints a player has, if they get some through Killpoints it will get more expensive.\n\nIn the Skillbook, at the top, it shows how much EXP is needed for the next Skillpoint.\nIf the player has enough EXP the text 'not enough EXP' will change to '+ Skillpoint'.\n\nThe default max EXP needed for the next Skillpoint is 2000EXP or after the 19th Skillpoint."]}}
tellraw @s {"text": "↳Book structure and info","hoverEvent": {"action": "show_text","contents": ["The book is categorized and has a directory page on page 2.\nAll text has 'hover text' to give the player more infos about the skill.\nSome text can be 'clicked' like on the directory page to get faster to each page or level up a skill."]}}
tellraw @s {"text": "↳How to add a skill","hoverEvent": {"action": "show_text","contents": ["Every skill has a '[+]' in the front of the Skillname, by pressing this the player can lvl up a skill.\nAlso by hovering on it, it will show the Skillpoint cost."]}}
tellraw @s {"text": "↳How to remove skills","clickEvent": {"action": "open_url","value": "https://cdn.modrinth.com/data/B8bh5HHu/images/fb2f4f6852dc35cce1336d51c9b888d7d3bd5b22.png"},"hoverEvent": {"action": "show_text","contents": ["[Click to see recipe on Modrinth]\n\nBy crafting a 'Skillreset', the player is able to reset all skills and get all Skillpoints back to reuse them again.\n\nUsed by holding the item in the offhand and the skillbook in mainhand."]}}
tellraw @s {"text": "↳How to remove Skillpoints","clickEvent": {"action": "open_url","value": "https://cdn.modrinth.com/data/B8bh5HHu/images/ae515ff9f7ca288d63b2a33f85735680ab430c13.png"},"hoverEvent": {"action": "show_text","contents": ["[Click to see recipe on Modrinth]\n\nBy crafting a 'Revokeness shard', the player is able to remove a free Skillpoints and get their level back.\n\nUsed by holding the item in the offhand and the Skillbook in mainhand."]}}
tellraw @s {"text": "↳After Death","hoverEvent": {"action": "show_text","contents": ["[Can be turned of by an admin]\n\nIf a player dies they will lose all their Skillpoints and levels in all skills.\nBy eating an enchanted- or a golden apple they can save their skills and Skillpoints once and after death the player needs to eat another one.\nThis stat is also shown on the first page of the Skillbook."]}}
tellraw @s {"text": ""}
## Killpoints
tellraw @s {"text": "Killpoints","bold": true,"color": "yellow"}
tellraw @s {"text": "↳What are Killpoints","hoverEvent": {"action": "show_text","contents": ["By killing 'enemies' the player can earn 'Killpoints'."]}}
tellraw @s {"text": "↳What and how much Killpoints are given","hoverEvent": {"action": "show_text","contents": ["After x amount of Killpoints, the player earn a Skillpoint without EXP being used.\n[This will raise the EXP needed for the next Skillpoint]"]}}
tellraw @s {"text": "↳How many Killpoints are needed","hoverEvent": {"action": "show_text","contents": ["from 0-4 Skillpoint via Killpoints +100 per point\nfrom 5-9 Skillpoint via Killpoints +500 per point\nfrom 10+ Skillpoint via Killpoints +1000 per point"]}}
tellraw @s {"text": "↳What mobs give what amount of Killpoints","hoverEvent": {"action": "show_text","contents": ["zombie 1               evoker 5\nelder_guardian 7     enderman 3\ndrowned 1             cave_spider 1\nblaze 2                ender_dragon 50\nwither_skeleton 5    wither 50\nwitch 3                warden 10\nvindicator 5          vex 3\nstray 2              spider 1\nskeleton 1           slime 1\nshulker 2            ravager 5\npillager 1            piglin_brute 4\nphantom 1            magma_cube 1\nillusioner 5           husk 2\nhoglin 3               guardian 3\ncreeper 1            zombified_piglin 1\nzombie_villager 1    piglin 1\nzoglin 2                Ghast 2"]}}
tellraw @s {"text": ""}
## admin stuff
tellraw @s {"text": "Administration [Admin only]","bold": true,"color": "yellow"}
tellraw @s {"text": "↳Click to turn of tutorial","clickEvent": {"action": "run_command","value": "/execute run scoreboard players set tutorial kskill_options 0"},"hoverEvent": {"action": "show_text","contents": ["Turns off tutorials for all new players.\n\nTutorial will only shown once at the start of the game and only after using the [?] in the skillbook."]}}
tellraw @s {"text": "↳Click to open option menu","clickEvent": {"action": "run_command","value": "/execute run function k_skills:options/menu"},"hoverEvent": {"action": "show_text","contents": ["Open the option menu where you can find many options to customize your game expierence."]}}

tellraw @s {"text": ""}
tellraw @s {"text": "Open chat and scroll up to see all.","color": "#a34089","bold": true}

## ,"clickEvent": {"action": "run_command","value": ""},"hoverEvent": {"action": "show_text","contents": []}
#zombie 1               evoker 5\nelder_guardian 7     enderman 3\ndrowned 1             cave_spider 1\nblaze 2                ender_dragon 50\nwither_skeleton 5    wither 30\nwitch 3                warden 10\nvindicator 5          vex 3\nstray 2              spider 1\nskeleton 1           slime 1\nshulker 2            ravager 5\npillager 1            piglin_brute 4\nphantom 1            magma_cube 1\nillusioner 5           husk 2\nhoglin 3               guardian 3\ncreeper 1            zombified_piglin 1\nzombie_villager 1    piglin 1\nzoglin 2

scoreboard players reset @s s-skill-0